#ifndef NEWNODETWEEN_H
#define NEWNODETWEEN_H

/******************************************************************************\
*                                                                              *
* 24/5/2009                                                                    *
* NodeTweenNew - Header File                                                   *
*                                                                              *
* (c) Robert Hausmair, Christoph Winklhofer                                    *
*                                                                              *
\******************************************************************************/
/******************************************************************************\
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX DESCRIPTION XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
\******************************************************************************/

//REQUIRED HEADERS 

#include <Definitions.h>
#include <PreViewNodeRep.h>
#include <TreeNodeRep.h>
#include <Graph/TreeNode.h>
#include <Animation/NodeTween.h>
#include <Math/Vector3.h>

//DECLARATIONS

//

//PUBLIC DEFINITIONS TYPEDEFS

//

/******************************************************************************\
* CLASS                                                                        *
\******************************************************************************/
class NodeTweenNew : public NodeTween
{
	public:

		//CLASS STATIC DEFINITIONS

		//ENUM //VAR //METHODS 

		//METHODS

		NodeTweenNew(TreeNode *tNode,PreviewNodeRep *pNodeRep, Vector2f toPos);
		~NodeTweenNew();

		virtual void Tween(float dVal);

		//MEMBER

		//

	protected:

		//CLASS STATIC DEFINITIONS

		//ENUM //VAR //METHODS

		//METHODS

		//

		//MEMBER

		//

	private:

		//CLASS STATIC DEFINITIONS

		//ENUM //VAR //METHODS

		//METHODS

		//

		//MEMBER

		float fromScale;
		TreeNodeRep *m_pTreeNodeRep;
		PreviewNodeRep *m_pPreviewNodeRep;
}; 

#endif //NEWNODETWEEN_H