#ifndef TWEENERFINISH_H
#define TWEENERFINISH_H

/******************************************************************************\
*                                                                              *
* 24/5/2009                                                                    *
* TweenerNew - Header File                                                     *
*                                                                              *
* (c) Robert Hausmair, Christoph Winklhofer                                    *
*                                                                              *
\******************************************************************************/
/******************************************************************************\
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX DESCRIPTION XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
\******************************************************************************/

//REQUIRED HEADERS 

#include <Definitions.h>
#include <Animation/Tweener.h>
#include <View.h>

//DECLARATIONS
class Tree;
class TreeNode;
class TreePlusSettings;

/******************************************************************************\
* CLASS                                                                        *
\******************************************************************************/
class TweenerFinish : public Tweener
{
public:

	//CLASS STATIC DEFINITIONS

	//METHODS

	TweenerFinish(View *pView,TreePlusSettings *pSettings,Tree *pTree);
	~TweenerFinish(){}
	void SetExpandedNode(TreeNode *expandedNode);

	virtual void OnStart();
	virtual void OnEnd();

private:

	//MEMBER 

	View *m_pView;
	Tree *m_pTree;
	TreePlusSettings *m_pSettings;
	TreeNode *m_pExpandedNode;
};

#endif //TWEENERFINISH_H