/******************************************************************************\
*                                                                              *
* 24/5/2009                                                                    *
* TweenerNew - Source File                                                     *
*                                                                              *
* (c) Robert Hausmair, Christoph Winklhofer                                    *
*                                                                              *
\******************************************************************************/

//REQUIRED HEADERS 

#include <Animation/TweenerNew.h>
#include <Animation/NodeTween.h>
#include <Graph/Tree.h>
#include <Graph/TreeNode.h>
#include <Graph/TreeLink.h>
#include <TreeLinkrep.h>
#include <Memory/mmgr.h>

//NAMESPACE

using namespace std;

//PRIVATE DEFINITIONS TYPEDEFS

//

/****************************************************************************\
* STATIC                                                                     *
\****************************************************************************/

//MEMBER

//METHODS

/****************************************************************************\
* CD                                                                         *
\****************************************************************************/
TweenerNew::TweenerNew()
{

}

void TweenerNew::SetExpandedNode(TreeNode *expandedNode)
{
	m_expandedNode = expandedNode;
}
	
/****************************************************************************\
* PUBLIC CLASS FUNCTIONS                                                     *
\****************************************************************************/
void TweenerNew::OnStart()
{

}

void TweenerNew::OnEnd()
{
	list<TreeNode *> children;
	m_expandedNode->GetChildren(children);
	for(list<TreeNode *>::iterator it = children.begin(); it != children.end(); it++)
	{
		(*it)->GetLinkToParent()->GetTreeLinkRep().show();
	}
}