#ifndef TWEENERNEW_H
#define TWEENERNEW_H

/******************************************************************************\
*                                                                              *
* 24/5/2009                                                                    *
* TweenerNew - Header File                                                     *
*                                                                              *
* (c) Robert Hausmair, Christoph Winklhofer                                    *
*                                                                              *
\******************************************************************************/
/******************************************************************************\
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX DESCRIPTION XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
\******************************************************************************/

//REQUIRED HEADERS 

#include <Definitions.h>
#include <Animation/Tweener.h>

//DECLARATIONS
class TreeNode;

/******************************************************************************\
* CLASS                                                                        *
\******************************************************************************/
class TweenerNew : public Tweener
{
	public:

		//CLASS STATIC DEFINITIONS

		//METHODS

		TweenerNew();
		~TweenerNew(){}
		virtual void OnStart();
		virtual void OnEnd();
		void SetExpandedNode(TreeNode *expandedNode);

	private:

		//MEMBER 

		TreeNode *m_expandedNode;
};

#endif