#ifndef TWEENERSETROOTSTEP2_H
#define TWEENERSETROOTSTEP2_H

/******************************************************************************\
*                                                                              *
* 15/4/2009                                                                    *
* Tweener - Header File                                                        *
*                                                                              *
* (c) Robert Hausmair, Christoph Winklhofer                                    *
*                                                                              *
\******************************************************************************/
/******************************************************************************\
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX DESCRIPTION XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
\******************************************************************************/

//REQUIRED HEADERS 

#include <Definitions.h>
#include <Animation/Tweener.h>

//DECLARATIONS
class Tree;
class TreeNode;

/******************************************************************************\
* CLASS                                                                        *
\******************************************************************************/
class TweenerSetRootStep2 : public Tweener
{
	public:

		//CLASS STATIC DEFINITIONS

		//METHODS
		TweenerSetRootStep2();
		void SetTree(Tree *tree);
		virtual void OnStart();
		virtual void OnEnd();

	private:
		Tree* m_tree;
};

#endif