/****************************************************************************\
*                                                                            *
* 17/3/2009                                                                  *
* Console - Source File                                                      *
*                                                                            *
* (c) Robert Hausmair										                 *
*                                                                            *
\****************************************************************************/

/****************************************************************************\
* REQUIRED HEADERS                                                           *
\****************************************************************************/

#include <fcntl.h>
#include <iostream>
#include <io.h>

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

using namespace std;

/****************************************************************************\
* PRIVATE DEFINITIONS                                                        *
\****************************************************************************/

/****************************************************************************\
* CD                                                                         *
\****************************************************************************/

void CreateConsole()
{	
	//Allocate
	AllocConsole();

	//Redirect unbuffered STDOUT to the console
	int hConHandle;
	long lStdHandle;

	lStdHandle = (long)GetStdHandle(STD_OUTPUT_HANDLE);
	hConHandle = _open_osfhandle(lStdHandle, _O_TEXT);

	FILE *fp = _fdopen( hConHandle, "w" );
	*stdout = *fp;
	setvbuf( stdout, NULL, _IONBF, 0 );
}