/******************************************************************************\
*                                                                              *
* 4/4/2009                                                                     *
* DataNode - Source File                                                       *
*                                                                              *
* (c) Robert Hausmair, Christoph Winklhofer                                    *
*                                                                              *
\******************************************************************************/

//REQUIRED HEADERS 

#include <Graph/DataNode.h>
#include <Memory/mmgr.h>

//NAMESPACE

using namespace std;

//PRIVATE DEFINITIONS TYPEDEFS

//

/****************************************************************************\
* STATIC                                                                     *
\****************************************************************************/

//MEMBER

//METHODS

/****************************************************************************\
* CD                                                                         *
\****************************************************************************/

DataNode::DataNode()
{
	
}

DataNode::~DataNode()
{

}

/****************************************************************************\
* PUBLIC CLASS FUNCTIONS                                                     *
\****************************************************************************/

//ON NODE DOUBLE CLICK
void DataNode::SetId(const int id)
{
	m_id = id;
}

void DataNode::SetUrl(const QString &url)
{
	m_url = url;
}

void DataNode::SetName(const QString &name)
{
	m_name = name;
}

void DataNode::SetAuthor(const QString &author)
{
	m_author = author;
}

void DataNode::AddKeyword(const QString &keyword)
{
	m_keywords.push_back(keyword);
}

/****************************************************************************\
* PROTECTED CLASS FUNCTIONS                                                  *
\****************************************************************************/

/****************************************************************************\
* PRIVATE CLASS FUNCTIONS                                                    *
\****************************************************************************/