#ifndef DATANODE_H
#define DATANODE_H

/******************************************************************************\
*                                                                              *
* 4/4/2009                                                                     *
* DataNode - Header File                                                       *
*                                                                              *
* (c) Robert Hausmair, Christoph Winklhofer                                    *
*                                                                              *
\******************************************************************************/
/******************************************************************************\
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX DESCRIPTION XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
\******************************************************************************/

//REQUIRED HEADERS 

#include <Definitions.h>
#include <list>
#include <QString>

//DECLARATIONS

//

//PUBLIC DEFINITIONS TYPEDEFS

//

/******************************************************************************\
* CLASS                                                                        *
\******************************************************************************/
class DataNode 
{
	public:

		//CLASS STATIC DEFINITIONS

		//ENUM //VAR //METHODS 

		//METHODS

		DataNode();
		~DataNode();

		int GetId() const {return m_id;};
		QString GetName() const {return m_name;};
		QString GetUrl() const {return m_url;};
		QString GetAuthor() const {return m_author;};
		std::list<QString> GetKeywords() const {return m_keywords;};
		void SetId(const int id);
		void SetUrl(const QString &url);
		void SetName(const QString &name);
		void SetAuthor(const QString &author);
		void AddKeyword(const QString &keyword);

		//MEMBER

	protected:

		//CLASS STATIC DEFINITIONS

		//ENUM //VAR //METHODS

		//METHODS

		//

		//MEMBER

		//

	private:

		//CLASS STATIC DEFINITIONS

		//ENUM //VAR //METHODS

		//METHODS

		//

		//MEMBER
		int m_id;
		QString m_url;
		QString m_name;
		QString m_author;
		std::list<QString> m_keywords;
}; 

#endif //DATANODE_H