/******************************************************************************\
*                                                                              *
* 24/4/2009                                                                     *
* TreeLink - Source File                                                       *
*                                                                              *
* (c) Robert Hausmair, Christoph Winklhofer                                    *
*                                                                              *
\******************************************************************************/

//REQUIRED HEADERS 

#include <Graph/TreeLink.h>
#include <Graph/TreeNode.h>
#include <TreeLinkRep.h>
#include <Memory/mmgr.h>

//NAMESPACE

using namespace std;

//PRIVATE DEFINITIONS TYPEDEFS

//

/****************************************************************************\
* STATIC                                                                     *
\****************************************************************************/

//MEMBER

//METHODS

/****************************************************************************\
* CD                                                                         *
\****************************************************************************/
TreeLink::TreeLink(TreeNode *from, TreeNode *to) :
	nodeFrom(from),
	nodeTo(to)
{
	m_pLinkRep = new TreeLinkRep(&from->GetNodeRep(), &to->GetNodeRep());
}

TreeLink::~TreeLink()
{
	delete m_pLinkRep;
}

void TreeLink::SetTreeNodeTo(TreeNode *to)
{
	nodeTo = to;
	m_pLinkRep->SetTreeNodeTo(&to->GetNodeRep());
}

/****************************************************************************\
* PUBLIC CLASS FUNCTIONS                                                     *
\****************************************************************************/

//ON NODE DOUBLE CLICK

/****************************************************************************\
* PROTECTED CLASS FUNCTIONS                                                  *
\****************************************************************************/

/****************************************************************************\
* PRIVATE CLASS FUNCTIONS                                                    *
\****************************************************************************/