#ifndef TREELINK_H
#define TREELINK_H

/******************************************************************************\
*                                                                              *
* 24/4/2009                                                                     *
* TreeLink - Header File                                                       *
*                                                                              *
* (c) Robert Hausmair, Christoph Winklhofer                                    *
*                                                                              *
\******************************************************************************/
/******************************************************************************\
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX DESCRIPTION XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
\******************************************************************************/

//REQUIRED HEADERS 

#include <Definitions.h>
#include <Graph/DataNode.h>
#include <Math/Vector2.h>
#include <TreeNodeRep.h>

//DECLARATIONS

class TreeNode;
class TreeLinkRep;

//PUBLIC DEFINITIONS TYPEDEFS


/******************************************************************************\
* CLASS                                                                        *
\******************************************************************************/
class TreeLink
{
	public:

		//CLASS STATIC DEFINITIONS

		//ENUM //VAR //METHODS 

		//METHODS

		TreeLink(TreeNode *from, TreeNode *to);
		~TreeLink();

		inline TreeLinkRep & GetTreeLinkRep(){ return *m_pLinkRep;}
		void SetTreeNodeTo(TreeNode *to);

		//MEMBER

		//

	protected:

		//CLASS STATIC DEFINITIONS

		//ENUM //VAR //METHODS

		//METHODS

		//

		//MEMBER

		//

	private:

		//CLASS STATIC DEFINITIONS

		//METHODS

		//MEMBER

		TreeNode *nodeFrom;
		TreeNode *nodeTo;

		TreeLinkRep *m_pLinkRep;
}; 

#endif //TREELINK_H