#ifndef TREELINKREP_H
#define TREELINKREP_H

/******************************************************************************\
*                                                                              *
* 24/4/2009                                                                     *
* TreeLinkRep - Header File                                                    *
*                                                                              *
* (c) Robert Hausmair, Christoph Winklhofer                                    *
*                                                                              *
\******************************************************************************/
/******************************************************************************\
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX DESCRIPTION XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
\******************************************************************************/

//REQUIRED HEADERS 

#include <Definitions.h>
#include <QGraphicsItem>

//DECLARATIONS

class NodeRep;

//PUBLIC DEFINITIONS TYPEDEFS

//

/******************************************************************************\
* CLASS                                                                        *
\******************************************************************************/
class TreeLinkRep : public QGraphicsPathItem
{
	public:

		//METHODS

		TreeLinkRep(NodeRep *from, NodeRep *to, QGraphicsItem *parent = NULL);
		~TreeLinkRep();

		void SetTreeNodeTo(NodeRep *to);
		void SetPosition();

	protected:

		//METHODS
//		virtual QRectF boundingRect() const;
//		virtual void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget /* = 0 */);

		//MEMBER

	private:


		//METHODS

		//MEMBER
		NodeRep *nodeFrom;
		NodeRep *nodeTo;

}; 

#endif //TREELINKREP_H